TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNilpotent ( elt-alg^mat x ) -> elt-alg^boo, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Return `TRUE' iff matrix `x' is nilpotent, i.e. if there exists an integer `q' with `x^q = 0', return `FALSE' otherwise.
If `x' is nilpotent `IsNilpotent' also returns the index of nilpotence of x, i.e. the smallest `q' such that x^q = 0. </shortdoc>

### Examples

x_M := MatrixAlgebra(Q,3); IsNilpotent(One(x_M));
x_M := MatrixAlgebra(Q,3); x_n := Element(x_M,[0,1,0,0,0,1,0,0,0]); IsNilpotent(x_n);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack